# Update a video entity

## /v1/video-entities/:id

<mark style="color:orange;">`PUT`</mark> `https://api.uiza.io/api-vod/owner/v1/video-entities/:id`

#### Path Parameters

| Name                               | Type   | Description                                       |
| ---------------------------------- | ------ | ------------------------------------------------- |
| <mark style="color:red;">\*</mark> | String | The identifier of your video entity to be updated |

#### Request Body

| Name        | Type   | Description                                                                                                                                                                                                                      |
| ----------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| name        | String | The new name of the video entity is to be updated. This parameter cannot be empty in your body request.                                                                                                                          |
| description | String | The new description of the video entity is to be updated. This version does not support updating a description as an empty string, in case your old description is incorrect, replace it with the new one that makes more sense. |

{% tabs %}
{% tab title="200 " %}

```
{
  "data": {
    "id": "2b970a39-874a-4d2a-be8a-fd445646d74c",
    "name": "My video 1",
    "description": "Oops",
    "input_url": "http://commondatastorage.googleapis.com/gtv-videos-bucket/sample/BigBuckBunny.mp4",
    "encoding_template": "hd",
    content_policy: "public",
    "status": "ready",
    "playback": {
      "dash": "https://vod.gcpsg.uizadev.io/videoplayback0/7cdaa860-808f-40b5-832e-2f90dd46fb19/b38669d1-f5fd-495e-8d78-3b59c0b6f180/manifest.mpd?Expires=1649422743&KeyName=development-snake-vod-private-sg-signature&Signature=1dxLAz2ZOX59Qj0w3h5paUmc2Cw",
      "hls": "https://vod.gcpsg.uizadev.io/videoplayback0/7cdaa860-808f-40b5-832e-2f90dd46fb19/b38669d1-f5fd-495e-8d78-3b59c0b6f180/master.m3u8?Expires=1649422743&KeyName=development-snake-vod-private-sg-signature&Signature=ZGInxqY3no1265MUuap8WiARj6I"
    },
    "created_at": "2020-03-23T07:22:34Z",
    "updated_at": "2020-03-23T07:22:34Z"
  }
}
```

{% endtab %}

{% tab title="401 " %}

```
{
  "message": "You are unauthorized to access the requested resource. Please verify and resubmit.",
  "error_type": "invalid_request_error"
}5
```

{% endtab %}

{% tab title="500 " %}

```
{
  "message": "An unexpected error occurred on Uiza's end.",
  "error_type": "api_error"
}
```

{% endtab %}
{% endtabs %}

{% code title="Sample Request" %}

```
curl --location --request PUT 'https://api.uiza.io/api-vod/owner/v1/video-entities/22013d8a-d5fa-48f0-9a63-1f471ca9e81d' \
--header 'Authorization: <token>' \
--header 'uiza-app-id: <your_app_id>'
```

{% endcode %}
